Bug 104926 - ipppd ignores holdoff option
ipppd ignores holdoff option
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: isdn4k-utils (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-23 13:08 EDT by Marek Greško
Modified: 2015-01-07 19:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-20 04:11:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Greško 2003-09-23 13:08:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; sk-SK; rv:1.2.1) Gecko/20030225

Description of problem:
The ipppd daemon accepts but ignores holdoff option. The holdoff option is
needed for dealing with ISDN link errors. Yes. This happens. By dialing and
hanging up periodically it can make charge unit disaster in one day.

Version-Release number of selected component (if applicable):
isdn4k-utils-3.1-62

How reproducible:
Always

Steps to Reproduce:
1. make the autodialing ippp0 interface to dial by network traffic
2. shut it down by isdnctrl hangup ippp0
3. repeat step 1.
    

Actual Results:  Link dials immediatelly.

Expected Results:  Link waits for holdoff seconds before dialing.

Additional info:

This bug may cause large bills for telecommunication service in some circumstances.
Comment 1 Ngo Than 2003-09-29 11:20:57 EDT
for debugging, could you please send the isdn config file
/etc/sysconfig/network-scripts/ifcfg-ippp0 and the outout of isdnctrl list all?

Comment 2 Ngo Than 2003-10-20 04:11:50 EDT
i don't reproduce this problem with 3.2-3.p1. please upgrade.

Note You need to log in before you can comment on or make changes to this bug.